Latest Vulnerabilities and Exploits



CVE ID:

CVE-2021-3331

Details:

WinSCP before 5.17.10 allows remote attackers to execute arbitrary programs when the URL handler encounters a crafted URL that loads session settings. (For example, this is exploitable in a default installation in which WinSCP is the handler for sftp:// URLs.)

References:

:https://github.com/winscp/winscp/commit/faa96e8144e6925a380f94a97aa382c9427f688d
:https://winscp.net/eng/docs/history#5.17.10
:https://winscp.net/eng/docs/rawsettings
:https://winscp.net/tracker/1943

ZeroDayLab Assigned Tags:

FTP
CODE EXECUTION
REMOTE